package com.ruoyi.mall.domain.Bo;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 新专业录取数据导入
 */
public class NewAcceptBO implements Serializable {
    private static final long serialVersionUID = 1L;

    @Excel(name = "批次")
    private String batchName;

    @Excel(name = "院校代码")
    private String schoolNumber;

    @Excel(name = "学校名称")
    private String schoolName;

    @Excel(name = "专业")
    private String majorNameStr;

    @Excel(name = "一级专业分类")
    private String parentClassName;

    @Excel(name="二级专业分类")
    private String className;

    @Excel(name = "招生计划人数")
    private Integer acceptNum;

    @Excel(name = "录取原则")
    private String ruleStr;

    @Excel(name="参考分")
    private BigDecimal reference;

    @Excel(name = "录取最低分")
    private BigDecimal acceptLowest;

    @Excel(name = "录取前提")
    private String littleScoreLimit;

    @Excel(name = "年份")
    private String acceptYear;

    @Excel(name = "文化分数线")
    private BigDecimal cultureLowest;

    @Excel(name = "联考分数线")
    private BigDecimal majorLowest;

    @Excel(name = "学科")
    private String subjectType;

    @Excel(name = "学费")
    private BigDecimal schoolPrice;

    @Excel(name = "错误信息")
    private String msg;

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public String getSchoolNumber() {
        return schoolNumber;
    }

    public void setSchoolNumber(String schoolNumber) {
        this.schoolNumber = schoolNumber;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getMajorNameStr() {
        return majorNameStr;
    }

    public void setMajorNameStr(String majorNameStr) {
        this.majorNameStr = majorNameStr;
    }

    public String getParentClassName() {
        return parentClassName;
    }

    public void setParentClassName(String parentClassName) {
        this.parentClassName = parentClassName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public Integer getAcceptNum() {
        return acceptNum;
    }

    public void setAcceptNum(Integer acceptNum) {
        this.acceptNum = acceptNum;
    }

    public String getRuleStr() {
        return ruleStr;
    }

    public void setRuleStr(String ruleStr) {
        this.ruleStr = ruleStr;
    }

    public BigDecimal getReference() {
        return reference;
    }

    public void setReference(BigDecimal reference) {
        this.reference = reference;
    }

    public BigDecimal getAcceptLowest() {
        return acceptLowest;
    }

    public void setAcceptLowest(BigDecimal acceptLowest) {
        this.acceptLowest = acceptLowest;
    }

    public String getLittleScoreLimit() {
        return littleScoreLimit;
    }

    public void setLittleScoreLimit(String littleScoreLimit) {
        this.littleScoreLimit = littleScoreLimit;
    }

    public String getAcceptYear() {
        return acceptYear;
    }

    public void setAcceptYear(String acceptYear) {
        this.acceptYear = acceptYear;
    }

    public BigDecimal getCultureLowest() {
        return cultureLowest;
    }

    public void setCultureLowest(BigDecimal cultureLowest) {
        this.cultureLowest = cultureLowest;
    }

    public BigDecimal getMajorLowest() {
        return majorLowest;
    }

    public void setMajorLowest(BigDecimal majorLowest) {
        this.majorLowest = majorLowest;
    }

    public String getSubjectType() {
        return subjectType;
    }

    public void setSubjectType(String subjectType) {
        this.subjectType = subjectType;
    }

    public BigDecimal getSchoolPrice() {
        return schoolPrice;
    }

    public void setSchoolPrice(BigDecimal schoolPrice) {
        this.schoolPrice = schoolPrice;
    }
}
